* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.empty-message {
    /*to have empty message not get stuck in one column of grid*/
    grid-column: 1 / -1;
    text-align: center;
    font-size: 1.2rem;
    color: #555;
    padding: 2rem;
}

.item-container {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    padding: 0.5rem 0rem;
    border: 1px solid silver;
    border-radius: 12px;
    overflow: hidden;
}

.clothing-image {
    width: 100%;
    height: 220px;
    display: block;
    object-fit: contain;
}

.edit-wrapper {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 0.6rem;
    width: 100%;
    margin: 0.8rem auto;
    text-align: center;
}

.item-name {
    margin: 0 0.3rem;
}

.edit-name-btn {
    border: none;
    background: transparent;
    cursor: pointer;
    display: none;
}

.edit-name-btn i {
    font-size: 1.1rem;
    color: #000000;
}

.edit-wrapper:hover .edit-name-btn {
    /* show only on hover */
    display: inline;
}

.edit-name-input {
    width: 20%;
    border: none;
    outline: none;
    font-size: 1rem;
}

.item-controls {
    width: 70%;
    position: absolute;
    top: 5%;
    display: flex;
    justify-content: space-between;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.3s ease;
}

.delete-btn {
    background: transparent;
    outline: none;
    border: none;
}

.delete-btn:hover {
    transform: scale(1.08);
}

.item-controls i {
    font-size: 1.1rem;
        cursor: pointer;
}

.item-container:hover .item-controls {
    opacity: 1;
    pointer-events: auto;
}

@media(max-width: 680px) {
    .clothing-image {
        height: 150px;
    }

    .empty-message{
        font-size: 1rem;
    }
}